.product-item {
    .product-item-content {
        border: 1px solid var(--surface-d);
        border-radius: 3px;
        margin: .3rem;
        text-align: center;
        padding: 2rem 0;
    }

    .product-image {
        width: 50%;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23)
    }

    .cajaus {
        width: 100%;
    }
}

.product-badge {
    border-radius: 2px;
    padding: .25em .5rem;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 12px;
    letter-spacing: .3px;

    &.status-instock {
        background: #C8E6C9;
        color: #256029;
    }

    &.status-outofstock {
        background: #FFCDD2;
        color: #C63737;
    }

    &.status-lowstock {
        background: #FEEDAF;
        color: #8A5340;
    }
}
:host ::ng-deep{
    .p-button-root {
       font-size: 1rem !important;
       width: 100% !important;
    }

    .styleClass{
        min-height: 100%;
    }

    .color{
        color: rgb(41 50 65 / 90%);
        background-color: rgb(252 252 252);
        box-shadow: 0px 0px 20px 0px #5a62ff73;    
    }
  
}
.calendar-button{
    width: 100% !important;
}


//timeline
.custom-marker {
    display: flex;
    width: 2rem;
    height: 2rem;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    border-radius: 50%;
    z-index: 1;
}

::ng-deep {
    .p-timeline-event-content,
    .p-timeline-event-opposite {
        line-height: 1;
    }
}

.p-inputtext {
    width: 100%;
}

.botones {
    text-align: end;

    .btn-red {
        margin-right: 0.5rem;
        .p-button.p-button-icon-only {
            background: red;
        }
    }

    .btn-primary {
        .p-button.p-button-icon-only {
            background: #5a62ff;
        }
    }
}

.profileimage {
    cursor: pointer;
}

@media screen and (max-width: 960px) {
    ::ng-deep {
        .customized-timeline {
            .p-timeline-event:nth-child(even) {
                flex-direction: row !important;

                .p-timeline-event-content {
                    text-align: left !important;
                }
            }

            .p-timeline-event-opposite {
                flex: 0;
            }

            .p-card {
                margin-top: 1rem;
            }
        }
    }
}
